Gedanken zu mlf 1.7+ [verschoben] (Technics)

by Alfie ⌂ @, Vienna, Austria, Wednesday, February 08, 2017, 16:50 (49 days ago) @ Auge
edited by Auge, Thursday, February 09, 2017, 07:50

Hallo Auge

Hier haben wir die BB-Code-Klasse ja an die Erfordernisse von PHP 5.3 (ich glaube damals veränderte sich die Syntax) und höher angepasst. Diese aktualisierte und funktionierende Lösung könnte ich auch übernehmen, denn …

Nimmt aber keinerlei Rücksicht auf falsche Verschachtelungen.


… das würde ich, Fehlerkorrektur der Browser hin oder her, vermeiden wollen.

Sicher. Dass die falsche Verschachtelung von so einfachen BBCodes trotzdem „funktioniert” habe ich erst vor ein paar Tagen zufällig entdeckt. Ich habe bei mir eine elendslange Bedienungsanleitung und dort wollte ich den entsprechenden Abschnitt noch klarer fassen (mit Beispielen) und – schwupps – sehe plötzlich die „Fehlerkorrektur”. L(i/u)stig.

Ja, im Gespräch war Markdown. Für eine Neuinstallation eines Forums wäre das eine Lösung. Im SelfHTML-Forum wird ja mit einem Dialekt (Kramdown) formatiert und ich mag die Einfachheit so sehr, dass ich in der Firma auch Anleitungen und Ähnliches damit erstelle.

Erinnert mich auch an die Wikimedia-Syntax.

Ein Umstieg der Formatierungssprache in einem bestehenden Forum ist aber mit sehr viel mehr Aufwand möglich. Zudem muss das Publikum mit der anderen Lösung zurechtkommen.

1. Mühsam aber 2. nicht so schwer.

Für dein Forum mit seinen zahlreichen Anforderungen an mögliche Formatierungen halte ich Markdown gleich garnicht geeignet.

No way.

Ich habe bei mir […] in funcs.db.php mysql_fetch_array und mysql_fetch_assoc.


Dann habe ich wohl ein paar Aufrufe beim Umbau vergessen.


Danke. Korrigiert. ;-)

- Behebung des magic_quotes_gpc-Problems. Prüfskript für Einträge und Benutzerdaten in bestehenden Installationen.


Dass es jetzt zuschlägt, macht es entsprechend dringend. […] Allerdings müssen die vorhandenen Inhalte, die mit Backslashes verunstaltet sein können, bereinigt werden.

Nachdem ich ja fleissig mitlese (so auch diesen Faden): Absolut notwendig.

- Vollständiger Umstieg von der alten MySQL-Bibliothek auf die Neue (von den mysql_- auf die mysqli_-Funktionen).


Ab welcher Version verfügbar?


Die MySQLi-Bibliothek ist ab PHP 5.3 verfügbar. Viel wichtiger an der Stelle ist aber, dass die alte MySQL-Bibliothek ab PHP 7 nicht mehr verfügbar ist.

I see. Besteht ein Unterschied in der Syntax der jeweiligen Funktionen? Falls nein, liefe das ja nur auf ein find/replace hinaus.

Full ACK. Persönlich fände ich eine Zeitzonen-Auswahl wie im 2er-Zweig charmant.


Da kann ich mir Anregungen von der hiesigen Implementierung holen. Einfach übernehmen darf ich sie ja ohne explizites o.k. nicht (MLF1: GPL2, MLF2: GPL3).

Oops.

Auch wenn wir bei XHTML 1.0 bleiben wollen, wäre zumindest

<meta name="viewport" content="width=device-width, initial-scale=1.0" />

sinnvoll.


Ich bin mir nicht sicher, ob wir mit <meta name="viewport" /> überhaupt bei XHTML1 bleiben können oder nicht doch auf HTML5 umstellem müssen.

Können schon / müssen nicht. Natürlich hätte HTML5 eine Menge Vorteile.

Andernfalls meckert Google inzwischen. Praktisch geht mir das am A vorbei (<1% Zugriffe von mobilen Devices).

Vielleicht würde sich genau das mit einem auch auf Mobilgeräten brauchbaren Layout ändern? ;-)

Möglich aber bei mir unwahrscheinlich. Wissenschaftlich sind Schribtischhengste.

Bei anderen Foren sicher viel höher.

Davon sollten wir ausgehen.

Sicher.

[…] Mich hat die willkürliche Einteilung in "Einstellungen" und "erweiterte Einstellungen" immer gestört.

Nachvollziehbar.

Dass die erweiterten Einstellungen eigentlich "alle Einstellungen" sind und zudem, im Gegensatz zu den (nicht erweiterten) Einstellungen, ohne sinnvolle Beschriftungen daherkommen, ist quasi das negative Sahnehäubchen.

Also meine Segen hast du. ;-)

Zu Punkt 1: […] Ich kann dir da leider nicht weiterhelfen.

Abwarten, Tee trinken und mit dem Provider reden. Der erzählt mir sicher es liegt an den Skripten. :-D

Zu Punkt 2: […] Was passieren kann, ist, dass, je nach eingestelltem Error-Reporting, an allen Ecken und Enden darauf hingewiesen wird, dass die MySQL-Bibliothek deprecated ist.

Ah ja. Danke.

--
Best regards,
Alfie (Helmut Schütz)
BEBA-Forum (v1.8 β)


Complete thread:

 RSS Feed of thread

powered by my little forum